Get Playbook
curl --request GET \
--url https://app.textql.com/v2/playbooks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.textql.com/v2/playbooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.textql.com/v2/playbooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"playbook": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connector_ids": [
123
],
"cron_string": "<string>",
"email_addresses": [
"<string>"
],
"slack_channel_id": "<string>"
},
"reports": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"summary": "<string>",
"blocks": [
{
"heading": "<string>",
"content": "<string>",
"image_url": "<string>",
"image_alt": "<string>",
"items": [
"<string>"
],
"blocks": "<array>",
"height": 123
}
],
"html_preview": "<string>",
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total_reports_count": 123
}{
"error": {
"code": "unauthenticated",
"message": "Authentication required"
}
}{
"error": {
"code": "permission_denied",
"message": "Insufficient permissions"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded"
}
}{
"error": {
"code": "internal",
"message": "Internal server error"
}
}Playbooks
Get Playbook
Retrieve a playbook by ID with its reports
GET
/
v2
/
playbooks
/
{id}
Get Playbook
Authorizations
API key or JWT token
Path Parameters
Playbook ID
Query Parameters
Maximum number of reports to return
Number of reports to skip
⌘I